Skip to content

Run an AI Skin Simulation task.

Request

This endpoint initiates the skin simulation process. You must provide a source file (via URL or File ID) and specify the simulation parameters (wrinkle, radiance, etc.). At least one parameter cannot be zero. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired

Simulation intensity cannot be all zero.

Any of:
wrinklenumber, [ 0 .. 1 ]

Reduce the appearance of wrinkles and fine lines while restoring smoother, firmer, visibly rejuvenated and youthful-looking skin.
0.0 for original skin, 1.0 for most wrinkle removed skin.

Example:1
radiancenumber, [ 0 .. 1 ]

Enhance skin radiance and luminosity, unveiling a refreshed, revitalized glow with a brighter, more radiant complexion.
0.0 for original skin luminosity, 1.0 for maximum radiant/glowing skin.

Example:1
oilinessnumber, [ 0 .. 1 ]

Control excess shine for a fresh, clean, shine-free complexion that feels balanced and comfortably matte.
0.0 for original skin, 1.0 for maximum oil/shine added to skin.

Example:1
acnenumber, [ 0 .. 1 ]

Purify and clear blemish-prone skin by reducing breakouts and blackheads, revealing a smoother, refined, and visibly flawless radiant complexion.
0.0 for original skin, 1.0 for most acne/pimples removed.

Example:1
eye_bagsnumber, [ 0 .. 1 ]

Visibly reduce under-eye puffiness, restoring a smoother, firmer, and more refreshed, well-rested appearance.
0.0 for original under-eye appearance, 1.0 for most eye bags removed.

Example:1
dark_circlenumber, [ 0 .. 1 ]

Visibly diminish dark circles, revealing a brighter, well-rested eye area with a refreshed and radiant appearance.
0.0 for original under-eye color, 1.0 for most dark circles removed.

Example:1
spotsnumber, [ 0 .. 1 ]

Target and visibly fade age spots while refining skin clarity, revealing a smoother, and more even-toned, youthful glow.
0.0 for original skin, 1.0 for most age spots/blemishes removed.

Example:1
poresnumber, [ 0 .. 1 ]

Refine and visibly minimize enlarged pores, revealing smoother, more polished, and flawlessly refined skin.
0.0 for original pore visibility, 1.0 for most refined/invisible pores.

Example:1
texturenumber, [ 0 .. 1 ]

Refine skin texture to couture-level smoothness, visibly perfecting irregularities and unveiling a silky, impeccably polished, and luminous complexion.
0.0 for original skin texture, 1.0 for smoothest skin texture.

Example:1
rednessnumber, [ 0 .. 1 ]

Calm and rebalance sensitive skin by visibly reducing redness, soothing rosacea-prone areas, and restoring a clearer, more even-toned and comfortingly refined complexion.
0.0 for original skin tone, 1.0 for most redness/irritation removed.

Example:1
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/skin-simulation
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/skin-simulation \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "wrinkle": 1,
    "radiance": 1,
    "oiliness": 1,
    "acne": 1,
    "eye_bags": 1,
    "dark_circle": 1,
    "spots": 1,
    "pores": 1,
    "texture": 1,
    "redness": 1
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }